toolzerhub API Docs

Get note details

Get a public RedNote note using the ID and token from the same feed card. A missing note body returns data: null.

1 credit / requestBilled only on success
GET
/v1/rednote/note

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

note_id*string

A note id from a /v1/rednote/feed card.

xsec_token*string

The xsec_token from the same feed card as note_id.

curl -X GET "https://example.com/v1/rednote/note?note_id=64a1b2c3d4e5f60718293a4b&xsec_token=AB1cd2EF3gh4IJ5kl6MN7op8QR9st0UV_wxyz1234567890AB%3D%3D" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "note_id": "64a1b2c3d4e5f60718293a4b",    "type": "normal",    "title": "string",    "desc": "string",    "time": 0,    "last_update_time": 0,    "user": {      "nickname": "string",      "user_id": "string",      "xsec_token": "string"    },    "liked_count": {      "raw": "10万+",      "value": 100000,      "approx": true    },    "collected_count": {      "raw": "10万+",      "value": 100000,      "approx": true    },    "comment_count": {      "raw": "10万+",      "value": 100000,      "approx": true    },    "share_count": {      "raw": "10万+",      "value": 100000,      "approx": true    },    "image_list": [      {        "property1": null,        "property2": null      }    ],    "video": {      "property1": null,      "property2": null    },    "tag_list": [      {        "property1": null,        "property2": null      }    ]  }}